<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateValorCierre extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('valor_cierre')
			->addColumn('cierre', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('tipo', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('valor', 'double', ['null' => false])
			->addForeignKey('cierre', 'cierre', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->addForeignKey('tipo', 'tipo_valor_cierre', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
